# Function optionDirective

- optionDirective($interpolate): {
  priority: number;
  restrict: string;
  compile(element: any, attr: any): ((scope: any, element: any, attr: any) => void);
  }

- #### Parameters

  - $interpolate: any

  #### Returns {
  priority: number;
  restrict: string;
  compile(element: any, attr: any): ((scope: any, element: any, attr: any) => void);
  }

  - ##### priority: number

  - ##### restrict: string

  - ##### compile:function

    - compile(element, attr): ((scope: any, element: any, attr: any) => void)

    - #### Parameters

      - element: any
      - attr: any

      #### Returns ((scope: any, element: any, attr: any) => void)

      - - (scope, element, attr): void

        - #### Parameters

          - scope: any
          - element: any
          - attr: any

          #### Returns void

      - Defined in directive/select/select.js:498
  - Defined in directive/select/select.js:494

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

#### Returns

- Defined in directive/select/select.js:493